1. Authentication
The new eTaxGo
Etaxgo V2 Partner API
  • Default module
  • Etaxgo V2 Partner API
  • Authentication
    • Get access token (OAuth 2.0 Client Credentials)
      POST
  • Documents
    • Create tax document
      POST
    • Get document detail and status
      GET
    • Download signed PDF
      GET
    • List / search documents
      POST
  • Schemas
    • TokenRequest
    • TokenResponse
    • BuyerAddress
    • DocumentLineItem
    • CreateDocumentRequest
    • CreateDocumentResponse
    • DocumentSearchRequest
    • DocumentSearchResponse
    • ErrorResponse
  1. Authentication

Get access token (OAuth 2.0 Client Credentials)

POST
/connect/token
Exchange your client_id and client_secret for a Bearer token.
The token is valid for 3600 seconds (1 hour). Cache and reuse it until it expires.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/x-www-form-urlencodedRequired

Responses

🟢200
application/json
Access token issued
Bodyapplication/json

🟠400
🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/connect/token' \
--header 'Authorization: Bearer <token>' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=<Your-Client-Id>' \
--data-urlencode 'client_secret=<Your-Client-Secret>'
Response Response Example
200 - Success
{
    "access_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...",
    "token_type": "Bearer",
    "expires_in": 3600
}
Modified at 2026-06-15 12:21:00
Next
Create tax document
Built with